---

stages:
  - linting
  - test

variables:
  DOCKER_DRIVER: overlay
  SRC_PATH: ''
  PYLINT_OPT: ''

pylint:
  stage: linting
  image: vpgrp/linter:pylint
  before_script:
    - echo ${PWD}/${SRC_PATH}
  script:
    - if [ -e requirements.txt ]; then pip install -r requirements.txt; fi
    - pylint ${PYLINT_OPT} ${PWD}/${SRC_PATH}
  except:
    variables:
      - $PYLINT_DISABLED
      - $JOBS_DISABLED
